tigase.auth

## Class BruteForceLockerBean.Value

- java.lang.Object
- - tigase.auth.BruteForceLockerBean.Value

- All Implemented Interfaces:
    TypesConverter.Parcelable
  Enclosing class:
    BruteForceLockerBean

      public static class BruteForceLockerBean.Value
      extends Object
      implements TypesConverter.Parcelable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value()`
    `Value(String domain, String ip, BareJID jid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `encodeToStrings()`
    `boolean` | `equals(Object o)`
    `void` | `fillFromString(String[] encoded)`
    `int` | `getBadLoginCounter()`
    `long` | `getInvalidateAtTime()`
    `int` | `hashCode()`
    `void` | `setBadLoginCounter(int badLoginCounter)`
    `void` | `setInvalidateAtTime(long invalidateAtTime)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Value

          public Value()

    - #### Value

          public Value(String domain,
                       String ip,
                       BareJID jid)

  - ### Method Detail

    - #### encodeToStrings

          public String[] encodeToStrings()

      Specified by:
        `encodeToStrings` in interface `TypesConverter.Parcelable`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### fillFromString

          public void fillFromString(String[] encoded)

      Specified by:
        `fillFromString` in interface `TypesConverter.Parcelable`

    - #### getBadLoginCounter

          public int getBadLoginCounter()

    - #### setBadLoginCounter

          public void setBadLoginCounter(int badLoginCounter)

    - #### getInvalidateAtTime

          public long getInvalidateAtTime()

    - #### setInvalidateAtTime

          public void setInvalidateAtTime(long invalidateAtTime)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.